<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Count Sentence</title>
    <link rel="stylesheet" href="index.css">
</head>
<body>
    <div class="container">
        
        <div class="nav">
            <h1>Xurpas Assessment</h1>
            <ul>
                <li><a href="#array">Array</a></li>
                <li><a href="#word-counter" >String</a></li>
            </ul>
        </div>
        <section id="word-counter">
            <h1>Count valid sentences given</h1>
            <hr>
            <form>
                <div class="count">
                    <label id="labelSentence" class="labelSentence" for="limit">Limit words to: </label>
                    <input type="number" id="limit" value="100">
                </div>

                <textarea 
                    id="sentence" 
                    name="sentence" 
                    rows="10" 
                    cols="500"
                    maxlength="500" 
                    placeholder="input sentence here"></textarea>
            </form>
            <div class="btn-container">
                <button type="button" class="btn-process" >Process</button>
                <button type="button" class="btn-clear">Clear</button>
            </div>

            <div class="buttom">
                <h1>Output</h1>
                <hr>
                <form>
                    <label id="labelvalidSentence" class="labelSentence" for="validSentence">Valid Sentence/s</label>
                    <textarea
                        id="validSentence"
                        name="validSentence"
                        rows="10"
                        cols="500"
                        maxlength="0"
                        placeholder="valid senteces"
                        disabled></textarea>
                        <div class="btn-text">
                            <label class="labelCount" for="count">Count of valid senteces:</label>
                            <input type="text" id="count">
                        </div>
                        
                </form>
            </div>
        </section>

        <section id="array"> 
            <h1>Mulitdimensional Array Demo</h1>           
            <form action="">
                <div class="arr-input">
                    <label for="num1">x</label>
                    <input type="number" id="num1" value="2">
                    
                    <label for="num2">y</label>
                    <input type="number" id="num2" value="2">
                    
                    <label for="num3">z</label>
                    <input type="number" id="num3" value="2">
                </div>
                <div class="arr-output">
                    <textarea 
                    name="ta-arr-output" 
                    id="ta-arr-output" 
                    cols="30" 
                    rows="10"
                    placeholder="mulitdimensional array output"></textarea>
                </div>
                <button type="button" class="arr-reset" id="arr-reset">Reset</button>
            </form>
        </section>
    </div>
    <script src="index.js"></script>
</body>
</html>